Bug 4405 - Hildon HIG needs native speaker review
: Hildon HIG needs native speaker review
Status: RESOLVED FIXED
Product: Developer Guide
maemo.org wiki
: 5.0-beta
: All Linux
: Low normal (vote)
: ---
Assigned To: Jarmo Tikka
: documentation@maemo.org
: http://maemo.org/api_refs/5.0/beta/hi...
:
:
:
  Show dependency tree
 
Reported: 2009-04-28 18:44 UTC by Murray Cumming
Modified: 2010-05-17 16:28 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Murray Cumming (reporter) 2009-04-28 18:44:19 UTC
It's not too bad, but the Hildon HIG needs to be reviewed by a native English
speaker. As should all your documents and announcements really.
Comment 1 Andre Klapper maemo.org 2009-04-29 15:18:19 UTC
This report is a bit vague due to its nature, but I can understand that you
don't have time to come up with a list of stuff to fix. :-/
Comment 2 timeless 2009-05-05 00:32:33 UTC
please do us a favor and provide a url. i can actually deal w/ these, but it's
much easier if i get a url. heck, provide the url and assign it to me (not more
than 2 bugs at a time) and i'll deal w/ them.

i have four major flights in the coming 3 weeks, so i might have time on them.
Comment 3 Murray Cumming (reporter) 2009-05-05 14:32:16 UTC
I would also be interested to know where the source Docbook XML is, presuming
it's DocBook. That information should really be in a "Contributing" section in
the introduction or an appendix.
Comment 4 Dave Neary maemo.org 2009-06-04 17:10:54 UTC
re comment #2: The URL is attached to the bug:
http://maemo.org/api_refs/5.0/beta/hig/html/
Comment 5 Claudio Saavedra 2009-06-10 09:11:55 UTC
(In reply to comment #3)
> I would also be interested to know where the source Docbook XML is, presuming
> it's DocBook. That information should really be in a "Contributing" section in
> the introduction or an appendix.
> 

I will discuss this with the documentation people, as I would like to publish
the currently private git repository, so that you guys can review it if you
please.
Comment 6 Dave Neary maemo.org 2009-06-10 19:44:40 UTC
Hi,

I believe this is LaTeX not Docbook, and it's not yet available in an SCM
accessible outside Nokia.
Comment 7 Murray Cumming (reporter) 2009-06-11 12:03:25 UTC
No, if you look at the generated HTML, you can see that it's generated from
DocBook. Which makes sense, because they obviously used the GNOME HIG as a
starting point.
Comment 8 Dave Neary maemo.org 2009-06-19 18:12:37 UTC
See http://wiki.maemo.org/Task:Proof-read_Human_Interface_Guidelines

Let's try crowd-sourcing the proof-reading of the HIG, section by section.

I have started by example, with the Introduction:
http://wiki.maemo.org/Task:Proof-read_Human_Interface_Guidelines/Introduction

I will launch a call for contributions on maemo-community and on Talk.

Once we have a comprehensive review of the document, we will need to get the
changes reviewed by the document maintainers and integrated into the HIG
itself.
Comment 9 Dave Neary maemo.org 2009-06-19 23:03:38 UTC
3 chapters reviewed so far. Thanks to qole!
Comment 10 Dave Neary maemo.org 2009-08-31 23:13:26 UTC
Thanks to Soumya and Jarmo, the changes have now been integrated into the HIG
included in the Fremantle development guide available in the wiki at
http://wiki.maemo.org/Documentation/Maemo_5_Developer_Guide/Human_Interface_Guidelines

Closing this bug as FIXED.
Comment 11 Andre Klapper maemo.org 2010-05-17 16:28:44 UTC
[Rearrangement of Documentation bug reports.]
Mass-moving old closed Developer Platform > Documentation tickets.
You can filter bugmail by searching for this comment.